# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
# modification of original file http://data.gpo.zugaina.org/eigenlay/net-misc/babeld/babeld-9999.ebuild

EAPI="4"

# utilities for:
#	getting sources and managing the git repo
#	cross compiling (use the right C compiler and not the one from the system with tc-getCC)
inherit git-2 toolchain-funcs

DESCRIPTION="A loop-free distance-vector routing protocol"
HOMEPAGE="http://www.pps.univ-paris-diderot.fr/~jch/software/babel/"

LICENSE="MIT"
SLOT="0"
KEYWORDS="*"
IUSE=""

# use Nexedi patched version
EGIT_REPO_URI="http://git.erp5.org/repos/babeld.git"
# tag is "v<version>-nxd<nb>"
EGIT_COMMIT=v"${PV/_p/-nxd}"

src_compile()
{
	emake PREFIX="/usr" CC="$(tc-getCC)" babeld
}

src_install()
{
	exeinto /usr/sbin
	doexe babeld
}
